Bug 239214 - www/squid: update to 4.8
Summary: www/squid: update to 4.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-15 07:51 UTC by timp87
Modified: 2019-11-05 03:32 UTC (History)
2 users (show)

See Also:


Attachments
port patch (2.35 KB, patch)
2019-07-15 07:51 UTC, timp87
timp87: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description timp87 2019-07-15 07:51:19 UTC
Created attachment 205788 [details]
port patch

Update squid to 4.8 which fixes several security issues:
https://www.mail-archive.com/squid-announce@lists.squid-cache.org/msg00096.html
Comment 1 commit-hook freebsd_committer 2019-07-16 17:35:46 UTC
A commit references this bug:

Author: swills
Date: Tue Jul 16 17:35:13 UTC 2019
New revision: 506772
URL: https://svnweb.freebsd.org/changeset/ports/506772

Log:
  www/squid: update to 4.8

  PR:		239214
  Submitted by:	timp87@gmail.com (maintainer)

Changes:
  head/www/squid/Makefile
  head/www/squid/distinfo
  head/www/squid/files/patch-src_comm_TcpAcceptor.cc
Comment 2 Steve Wills freebsd_committer 2019-07-16 17:37:59 UTC
Committed, thanks!
Comment 3 timp87 2019-07-16 19:43:47 UTC
Is there should be special handling to register vulnerabilities?